%define major 0
%define libname %mklibname desktop-agnostic %major
%define develname %mklibname -d desktop-agnostic

Summary:	A desktop-agnostic library for GLib-based projects
Name:		libdesktop-agnostic
Version:	0.3.92
Release:	%mkrel 2
URL:		https://launchpad.net/libdesktop-agnostic
Source0:	%{name}-%{version}.tar.xz
License:	GPLv2+
Group:		Development/Other
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libvala-devel >= 0.7.7
BuildRequires:	libgladeui-devel
BuildRequires:	python-devel
BuildRequires:	libGConf2-devel
BuildRequires:	gobject-introspection-devel
BuildRequires:	python-gobject-devel
BuildRequires:  pygtk2.0-devel
Requires:	pygtk2

%description
This library provides an extensible configuration API, a unified virtual file
system API, and a desktop item editor (all with pluggable backends) for
GLib-based projects. It is not tied to any one desktop environment, although
there are desktop-specific modules.

%package -n	%libname
Group:		Development/Other
Summary:	%{name} library package
Requires:	%{name} >= %{version}

%description -n	%libname
%summary.

%package -n %develname
Summary:	%{name} development files
Group:		Development/Other
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}

%description -n %develname
This package contains header files needed when building applications based on
%{name}.

%prep
%setup -q

%build
%define Werror_cflags %nil 
%setup_compile_flags
export PYTHONDIR=%{python_sitearch}
./waf configure \
	--prefix=%{_prefix} \
	--sysconfdir=%{_sysconfdir} \
	--localstatedir=%{_localstatedir} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--enable-debug \
	--config-backends=gconf \
	--vfs-backends=gio \
	--desktop-entry-backends=glib \
	--with-glade

./waf build --nocache

%install
rm -rf %{buildroot}
./waf  --nocache install --destdir=%{buildroot}

find %{buildroot}%{_libdir} -name *.so -exec chmod 755 {} \;


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING COPYING.GPL-2
%{_sysconfdir}/xdg/%{name}/desktop-agnostic.ini
%{_bindir}/lda-desktop-entry-editor
%{_bindir}/lda-schema-to-gconf
%dir %{_libdir}/desktop-agnostic
%{_libdir}/desktop-agnostic/modules/libda-cfg-type-color.so
%{_libdir}/desktop-agnostic/modules/libda-module-guesser.so
%{_datadir}/glade3/catalogs/desktop-agnostic.xml
%{python_sitearch}/desktopagnostic/*.py
%{_datadir}/locale/en_US@piglatin/LC_MESSAGES/libdesktop-agnostic.mo
%{_libdir}/desktop-agnostic/modules/libda-cfg-gconf.so
%{_libdir}/desktop-agnostic/modules/libda-fdo-glib.so
%{_libdir}/desktop-agnostic/modules/libda-vfs-gio.so

%files -n %libname
%defattr(-,root,root)
%{_libdir}/%{name}*.so.%{major}*
%{python_sitearch}/desktopagnostic/*.so

%files -n %develname
%defattr(-,root,root)
%dir %{_includedir}/%{name}-1.0
%dir %{_includedir}/%{name}-1.0/%{name}
%{_includedir}/%{name}-1.0/%{name}/*.h
%{_libdir}/%{name}*.so
%{_libdir}/pkgconfig/desktop-agnostic.pc
%{_datadir}/pygtk/2.0/defs/*.defs
%{_datadir}/vala/vapi/*.vapi
%{_datadir}/vala/vapi/desktop-agnostic*.deps


%changelog
* Sat Aug 17 2013 billybot <billybot> 0.3.92-2pclos2013
- update python 2.7

* Mon Oct 15 2012 Neal <nealbrks0 at gmail dot com> 0.3.92-1pclos2012
- process

* Sun Oct 14 2012 Ken <lxgator at gmail.com> 0.3.92-1pclos2012
- 0.3.92

* Sun Sep 12 2010 Texstar <texstar at gmail.com> 0.3.90-2pclos2010
- Update

* Thu Apr 29 2010 Texstar <texstar at gmail.com> 0.3.90-1pclos2010
- import into pclos for awn 0.4.0



